Bug 12612 - Re-add code to get the sid list without previous authentication
Re-add code to get the sid list without previous authentication
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.6.0rc4
All All
: P5 regression
: 4.6
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-06 10:32 UTC by Stefan Metzmacher
Modified: 2017-03-13 08:28 UTC (History)
4 users (show)

See Also:


Attachments
Patches for v4-6-test (44.69 KB, patch)
2017-03-07 08:28 UTC, Stefan Metzmacher
metze: review? (vl)
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-03-06 10:32:07 UTC
We have currently removed the code to retrieve the sid list for
users without previous authentication, as the results are typically wrong
and unreliable.

But a lot of users rely on this broken behavior, so we better restore
the behavior of 4.5 and former releases.

We can try to get this implemented correct using s4u2self for the 4.7
release.
Comment 1 Stefan Metzmacher 2017-03-07 08:28:29 UTC
Created attachment 13026 [details]
Patches for v4-6-test
Comment 2 Ralph Böhme 2017-03-07 08:43:22 UTC
Reassigning to Karolin for inclusion in 4.6.
Comment 3 Karolin Seeger 2017-03-13 08:28:15 UTC
(In reply to Ralph Böhme from comment #2)
Pushed to v4-6-test.
Closing out bug report.

Thanks!